
Redmine - Feature #1966

Different set of Issue Statuses per Tracker

2008-09-29 10:17 - Ingmar Heinrich

Status: Closed Start date: 2008-09-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

For various reasons, it would be great to have the possibility to use a different Issue Status set per Tracker. In my case, I would like

to reflect a complex workflow with a Redmine Workflow, so I don't need Statuses like New or Accepted, but the things that have to be

done.

Related issues:

Related to Redmine - Feature #973: Assign different status sets and workflows... New 2008-04-02

History

#1 - 2013-03-18 06:39 - Dipan Mehta

Technically, issue statuses are NOT strictly restricted for specific trackers. However, every issue state transition is settable differently for each

Tracker.

For example, a Bug goes to New -> Investigation -> In progress -> Fixed. But Feature can go through New -> Client Approval -> In progress -> Fixed. 

So it is possible set the workflow such that Investigation will never be part of Feature and Client Approval is never part of bug. This is quite possible

through appropriate configuration.

#2 - 2013-03-18 12:29 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Wont fix

Well I would agree Dipan.

You can define different issue status to different trackers.

Just define them in the workflow section as needed. After that, everything should be fine.

In my eyes there is technically no code line to be changed. I'm closing this issue.

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

http://www.tcpdf.org

